/* Swfdec
 * Copyright (C) 2007 Pekka Lampila <pekka.lampila@iki.fi>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "swfdec_as_internal.h"
#include "swfdec_debug.h"

SWFDEC_AS_NATIVE (1111, 1, swfdec_displacement_map_filter_get_mapBitmap)
void
swfdec_displacement_map_filter_get_mapBitmap (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.mapBitmap (get)");
}

SWFDEC_AS_NATIVE (1111, 2, swfdec_displacement_map_filter_set_mapBitmap)
void
swfdec_displacement_map_filter_set_mapBitmap (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.mapBitmap (set)");
}

SWFDEC_AS_NATIVE (1111, 3, swfdec_displacement_map_filter_get_mapPoint)
void
swfdec_displacement_map_filter_get_mapPoint (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.mapPoint (get)");
}

SWFDEC_AS_NATIVE (1111, 4, swfdec_displacement_map_filter_set_mapPoint)
void
swfdec_displacement_map_filter_set_mapPoint (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.mapPoint (set)");
}

SWFDEC_AS_NATIVE (1111, 5, swfdec_displacement_map_filter_get_componentX)
void
swfdec_displacement_map_filter_get_componentX (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.componentX (get)");
}

SWFDEC_AS_NATIVE (1111, 6, swfdec_displacement_map_filter_set_componentX)
void
swfdec_displacement_map_filter_set_componentX (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.componentX (set)");
}

SWFDEC_AS_NATIVE (1111, 7, swfdec_displacement_map_filter_get_componentY)
void
swfdec_displacement_map_filter_get_componentY (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.componentY (get)");
}

SWFDEC_AS_NATIVE (1111, 8, swfdec_displacement_map_filter_set_componentY)
void
swfdec_displacement_map_filter_set_componentY (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.componentY (set)");
}

SWFDEC_AS_NATIVE (1111, 9, swfdec_displacement_map_filter_get_scaleX)
void
swfdec_displacement_map_filter_get_scaleX (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.scaleX (get)");
}

SWFDEC_AS_NATIVE (1111, 10, swfdec_displacement_map_filter_set_scaleX)
void
swfdec_displacement_map_filter_set_scaleX (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.scaleX (set)");
}

SWFDEC_AS_NATIVE (1111, 11, swfdec_displacement_map_filter_get_scaleY)
void
swfdec_displacement_map_filter_get_scaleY (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.scaleY (get)");
}

SWFDEC_AS_NATIVE (1111, 12, swfdec_displacement_map_filter_set_scaleY)
void
swfdec_displacement_map_filter_set_scaleY (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.scaleY (set)");
}

SWFDEC_AS_NATIVE (1111, 13, swfdec_displacement_map_filter_get_mode)
void
swfdec_displacement_map_filter_get_mode (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.mode (get)");
}

SWFDEC_AS_NATIVE (1111, 14, swfdec_displacement_map_filter_set_mode)
void
swfdec_displacement_map_filter_set_mode (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.mode (set)");
}

SWFDEC_AS_NATIVE (1111, 15, swfdec_displacement_map_filter_get_color)
void
swfdec_displacement_map_filter_get_color (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.color (get)");
}

SWFDEC_AS_NATIVE (1111, 16, swfdec_displacement_map_filter_set_color)
void
swfdec_displacement_map_filter_set_color (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.color (set)");
}

SWFDEC_AS_NATIVE (1111, 17, swfdec_displacement_map_filter_get_alpha)
void
swfdec_displacement_map_filter_get_alpha (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.alpha (get)");
}

SWFDEC_AS_NATIVE (1111, 18, swfdec_displacement_map_filter_set_alpha)
void
swfdec_displacement_map_filter_set_alpha (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter.alpha (set)");
}

// constructor
SWFDEC_AS_NATIVE (1111, 0, swfdec_displacement_map_filter_contruct)
void
swfdec_displacement_map_filter_contruct (SwfdecAsContext *cx,
    SwfdecAsObject *object, guint argc, SwfdecAsValue *argv,
    SwfdecAsValue *ret)
{
  SWFDEC_STUB ("DisplacementMapFilter");
}
